import { IHostCommandApi } from "../../externalApi/IHostCommandApi";
import { CommandReceivedEvent, ICommandDetails, ICommandApi } from "../apis/api.interfaces";
export declare function getCommandApi(): Promise<IHostCommandApi | null>;
export declare class WidgetCommandApi implements ICommandApi {
    private _eventListeners;
    constructor();
    initialize(): Promise<void>;
    addEventListener(listener: (eventName: CommandReceivedEvent, commandDetails: ICommandDetails) => void): void;
    removeEventListener(listener: (eventName: CommandReceivedEvent, commandDetails: ICommandDetails) => void): void;
    getCommandDetailsAsync(): Promise<ICommandDetails | null>;
}
